'add to bootconf.sys

'get possible boot files
DIM NAME$(99), EXT$(99)
RESET
SHELL "USERLIST /A > TEMP.$$$"
RESET
OPEN "I", #1, "TEMP.$$$"
WHILE NOT EOF(1)
   LINE INPUT #1, A$
   IF MID$(A$, 11, 1) = "*" THEN
      PSTA$ = MID$(A$, 41, 12)
      WHILE LEFT$(PSTA$,1)=" ":PSTA$=MID$(PSTA$,2):WEND
      PSTA$ = RIGHT$(STRING$(12, 48) + PSTA$, 12)
   END IF
WEND
RESET
KILL "TEMP.$$$"
SHELL "DIR > TEMP.$$$"
RESET
OPEN "I", #1, "TEMP.$$$"
WHILE NOT EOF(1)
   LINE INPUT #1, A$
   IF VAL(MID$(A$, 13, 9)) > 100000 THEN
      COUNT = COUNT + 1
      NAME$(COUNT) = LEFT$(A$, INSTR(A$, " ") - 1)
      EXT$(COUNT) = MID$(A$, 10, INSTR(10, A$, " ") - 10)
   END IF
WEND

PRINT "Possible disk boot files availble "; STRING$(43, 61)
FOR C = 1 TO COUNT
   ROW = ROW + 1
   IF C = 1 OR C = 13 OR C = 25 OR C = 37 THEN ROW = 3
   IF C < 49 THEN COL = 61
   IF C < 37 THEN COL = 41
   IF C < 25 THEN COL = 21
   IF C < 13 THEN COL = 1
   LOCATE ROW, COL
   PRINT RIGHT$("  " + STR$(C), 2); " - "; RIGHT$("        " + NAME$(C), 8); "."; EXT$(C)
NEXT
LOCATE 15, 1: PRINT STRING$(77, 61): PRINT
RESET
KILL "TEMP.$$$":OPEN "R", #1, "BOOTCONF.SYS":CLOSE #1
OPEN "I", #1, "BOOTCONF.SYS"
WHILE NOT EOF(1)
   LINE INPUT #1, A$
   IF INSTR(A$, "," + PSTA$) > 0 THEN PRINT A$
WEND
CLOSE

VERIFY$ = "N"
WHILE VERIFY$ = "N" OR VERIFY$ = "n"
   FOR X = 17 TO 24
      LOCATE X, 42: PRINT SPACE$(36);
   NEXT
   LOCATE 17, 44
   PRINT "Enter number of the disk boot file"
   LOCATE 18, 44
   PRINT "to be added to BOOTCONF.SYS or"
   LOCATE 19, 44
   PRINT "press enter to exit    Number"; : INPUT ; ANS$: VERIFY$ = ""
   FOR X = 17 TO 24
      LOCATE X, 42: PRINT SPACE$(36);
   NEXT
   IF VAL(ANS$) > 0 AND VAL(ANS$) <= COUNT THEN
      LOCATE 17, 44
      PRINT "Description (optional)? "
      LOCATE 19, 44
      LINE INPUT DESC$
      WHILE INSTR("YyNnDd", VERIFY$) = 0 OR VERIFY$ = ""
	 A1$ = "0x1," + PSTA$ + "=" + NAME$(VAL(ANS$)) + "." + EXT$(VAL(ANS$)) + "   " + DESC$
	 A2$ = "0x2," + PSTA$ + "=" + NAME$(VAL(ANS$)) + "." + EXT$(VAL(ANS$)) + "   " + DESC$
	 A3$ = "0x3," + PSTA$ + "=" + NAME$(VAL(ANS$)) + "." + EXT$(VAL(ANS$)) + "   " + DESC$
	 LOCATE 21, 44: PRINT "To be added to BOOTCONF.SYS"
	 LOCATE 22, 44: PRINT LEFT$(A1$, 36);
	 LOCATE 23, 44: PRINT LEFT$(A2$, 36);
	 LOCATE 24, 44: PRINT LEFT$(A3$, 36);
	 LOCATE 25, 44: PRINT "Correct (Yes/No/Delete)"; : INPUT ; VERIFY$
	 LOCATE 25, 44: PRINT SPACE$(36);
      WEND
      IF VERIFY$ = "Y" OR VERIFY$ = "y" THEN '     add to bootconf.sys
	 RESET
	 SHELL "FLAG BOOTCONF.* N > NUL"
	 RESET
	 OPEN "I", #1, "BOOTCONF.SYS"
	 OPEN "O", #2, "BOOTCONF.$$$"
	 WHILE NOT EOF(1)
	    LINE INPUT #1, A$
	    PRINT #2, A$
	 WEND
	 PRINT #2, A1$
	 PRINT #2, A2$
	 PRINT #2, A3$
	 CLOSE
	 OPEN "O", #1, "BOOTCONF.BAK": CLOSE : KILL "BOOTCONF.BAK"
	 NAME "BOOTCONF.SYS" AS "BOOTCONF.BAK"
	 NAME "BOOTCONF.$$$" AS "BOOTCONF.SYS"
	 RESET
	 SHELL "FLAG BOOTCONF.* SRO > NUL"
	 RESET
      END IF
      IF VERIFY$ = "D" OR VERIFY$ = "d" THEN : '    delete from bootconf.sys
	 RESET
	 SHELL "FLAG BOOTCONF.* N > NUL"
	 RESET
	 OPEN "I", #1, "BOOTCONF.SYS"
	 OPEN "O", #2, "BOOTCONF.$$$"
	 WHILE NOT EOF(1)
	    LINE INPUT #1, A$
	    IF LEFT$(A$, INSTR(A$, " ")) <> LEFT$(A1$, INSTR(A1$, " ")) AND LEFT$(A$, INSTR(A$, " ")) <> LEFT$(A2$, INSTR(A2$, " ")) AND LEFT$(A$, INSTR(A$, " ")) <> LEFT$(A3$, INSTR(A3$, " ")) THEN PRINT #2, A$
	 WEND
	 CLOSE
	 OPEN "O", #1, "BOOTCONF.BAK": CLOSE : KILL "BOOTCONF.BAK"
	 NAME "BOOTCONF.SYS" AS "BOOTCONF.BAK"
	 NAME "BOOTCONF.$$$" AS "BOOTCONF.SYS"
	 RESET
	 SHELL "FLAG BOOTCONF.* SRO > NUL"
	 RESET
      END IF
   END IF
WEND

