        ':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        ':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        ':::                                                                 :::
        ':::                                                                 :::
        ':::    PROGRAM:        CAPS.BAS                                     :::
        ':::    AUTHOR:         Mike Shaffer                                 :::
        ':::    DATE:           Feb 2, 1991                                  :::
        ':::    VERSION:        2.0                                          :::
        ':::    PURPOSE:        Tests the CAPSTAT.SUB subroutine             :::
        ':::    REVISIONS:                                                   :::
        ':::                                                                 :::
        ':::                                                                 :::
        ':::                                                                 :::
        ':::    NOTES:          This program assumes you're using PDQ from   :::
        ':::                    Crescent Software. If not (shame on you!)    :::
        ':::                    than you can modify the interrupt call to    :::
        ':::                    use INT86 as provided with QuickBASIC, and   :::
        ':::                    take out the reference to PDQDECL.BAS        :::
        ':::                                                                 :::
        ':::                    Compile using:                               :::
        ':::                                                                 :::
        ':::                         BC caps/o/s;                            :::
        ':::                         LINK /NOD/NOE caps,,,pdq[386].lib       :::
        ':::                                                                 :::
        ':::                    or similar...                                :::
        ':::                                                                 :::
        ':::                                                                 :::
        ':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        ':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
        '
        '$include: 'pdqdecl.bas'
        '
        '
        call    capstat(a%,b%)
        if a% then
           print "Capture is active to device ID "b%
        else
           print "Capture is currently inactive."
        end if
        '
        end


        '$include: 'capstat.sub'

