@echo off
REM %%VER DOS Batch File for Installing NDIS Drivers to 3+Open v2.0b

REM ***************************************************

REM Syntax: From the NDIS subdirectory
REM           >3open\3open [Target_Drive:]

REM ***************************************************

..\install\echoxy 17 13 Updating EtherLink II drivers on %1               
set update=n

if not exist %1\3open\server\lanman\drivers\elnkii.os2 goto T1

copy %1\3open\server\lanman\drivers\elnkii.os2 %1\3open\server\lanman\drivers\elnkii.old > nul
copy elnkii.os2 %1\3open\server\lanman\drivers > nul
..\install\echoxy 19 13 Updated EtherLink II driver for server             
..\install\echoxy 20 13 in directory %1\3open\server\lanman\drivers. 
..\install\echoxy 22 13 Strike any key to continue.  
..\install\reply
if errorlevel 28 goto ok1
if errorlevel 27 goto end
:ok1
set update=y

:T1
if not exist %1\3open\os2wksta\lanman\drivers\elnkii.os2 goto T2

copy %1\3open\os2wksta\lanman\drivers\elnkii.os2 %1\3open\os2wksta\lanman\drivers\elnkii.old > nul
copy elnkii.os2 %1\3open\os2wksta\lanman\drivers > nul
..\install\echoxy 19 13 Updated EtherLink II driver for OS/2 workstation         
..\install\echoxy 20 13 in directory %1\3open\os2wksta\lanman\drivers.         
..\install\echoxy 22 13 Strike any key to continue.  
..\install\reply
if errorlevel 28 goto ok2
if errorlevel 27 goto end
:ok2
set update=y

:T2
if not exist %1\3open\doswksta\lanman\drivers\elnkii.dos goto T3

copy %1\3open\doswksta\lanman\drivers\elnkii.dos %1\3open\doswksta\lanman\drivers\elnkii.old > nul
copy elnkii.dos %1\3open\doswksta\lanman\drivers > nul
..\install\echoxy 19 13 Updated EtherLink II driver for DOS workstation       
..\install\echoxy 20 13 in directory %1\3open\doswksta\lanman\drivers.           
..\install\echoxy 22 13 Strike any key to continue.  
..\install\reply
if errorlevel 28 goto ok3
if errorlevel 27 goto end
:ok3
set update=y

:T3
if not exist %1\3open\os2drv\mac\elnkii.os2 goto T4

copy %1\3open\os2drv\mac\elnkii.os2 %1\3open\os2drv\mac\elnkii.old > nul
copy elnkii.os2 %1\3open\os2drv\mac > nul
..\install\echoxy 19 13 Updated EtherLink II driver for OS/2 driver         
..\install\echoxy 20 13 distribution in directory %1\3open\os2drv\mac.        
..\install\echoxy 22 13 Strike any key to continue.  
..\install\reply
if errorlevel 28 goto ok4
if errorlevel 27 goto end
:ok4
set update=y

:T4
if not exist %1\3open\dosdrv\mac\elnkii.dos goto DONE

copy %1\3open\dosdrv\mac\elnkii.dos %1\3open\dosdrv\mac\elnkii.old > nul
copy elnkii.dos %1\3open\dosdrv\mac > nul
..\install\echoxy 19 13 Updated EtherLink II driver for DOS driver         
..\install\echoxy 20 13 distribution in directory %1\3open\dosdrv\mac.          
..\install\echoxy 22 13 Strike any key to continue.  
..\install\reply
if errorlevel 28 goto ok5
if errorlevel 27 goto end
:ok5
set update=y

:DONE
if %update% == n goto errmsg

..\install\echoxy 17 13                                                          
..\install\echoxy 18 13 The EtherLink II NDIS drivers on %1 have been           
..\install\echoxy 19 13 updated. The older drivers have been copied with       
..\install\echoxy 20 13 the extension ".old."                                  
..\install\echoxy 22 13 Strike any key to return to the NDIS Menu.  
..\install\reply
:end
ndis

:errmsg

..\install\echoxy 18 13     *** Error:  No Files Were Updated! ***               
..\install\echoxy 19 13 Make sure that you have entered the correct drive   
..\install\echoxy 20 13 letter and that you have access rights to the files.            
..\install\echoxy 22 13 Strike any key to return to the NDIS Menu.               
..\install\reply
ndis

