/*****************************************************************************
* COMPARE.C
*
* 90-12-27 Matt Hagen, Novell, Inc.
*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#define DATAFILE "vector.dat"
#define HANDLER_COUNT 48

/*****************************************************************************
* main
*****************************************************************************/

main(
	int argc,
	char *argv[])
{
	int a;
	void far *vector=NULL;
	void (far *handler)()=NULL;
	void (far *array[HANDLER_COUNT])();
	FILE *f;

	_fmemmove((void far *)array,vector,(sizeof(void (far *)()))*HANDLER_COUNT);

	f=fopen(DATAFILE,"rb");
	if(f==NULL)
	{
		printf("Cannot open file for read.\n");
		return;
	}

	for(a=0;a<HANDLER_COUNT;a++)
	{
		fread(&handler,sizeof(void (far *)()),1,f);
		if(handler!=array[a])
			printf("Vector %Xh = %FP\n",a,array[a]);
	}

	fclose(f);
}

/****************************************************************************/
/****************************************************************************/
