::
::  INSTALL.BAT for Full Screen Login.
::  Confirm, march 1993.
::
@echo off
cls
echo\
echo    This procedure installs FSLOGIN on a file server. 
echo\
echo    You need to have supervisor or equivalent rights to be 
echo    able to copy files in the SYS:LOGIN and SYS:PUBLIC
echo    directories.
echo\
echo    Invoke this batch file from the same drive and directory,
echo    where the FSLOGIN.* files currently reside.
echo\   
echo    Continue?       'Y'es or 'N'o.
echo\
yesno
if errorlevel 1 goto continue
goto end
::
:continue
::
::  Check the source directory
::
if NOT exist fslogin.* goto help_1
::
::  Check the target directory (SYS:LOGIN)
::
if NOT exist sys:login\fslogin.* goto copy_them
::
::  Overwrite existing files ?
::
echo\
echo    FSLOGIN is already installed !
echo\
echo    Do you want to overwrite the files on the server ?
echo\
echo    Continue?       'Y'es or 'N'o.
echo\
yesno
if errorlevel 1 goto overwrite
goto end
::
:overwrite
::
flag  sys:login\fslogin.* rw
flag  sys:public\fslogin.com rw
::
:copy_them
::
ncopy fslogin.* sys:login
ncopy fslogin.com sys:public
flag  sys:login\fslogin.* ro s
flag  sys:public\fslogin.com ro s
goto end
::
:help_1
::
echo\
echo    Make sure that this batch file is executed from the drive
echo    and directory, where the FSLOGIN.* files are residing.
echo\
pause
::
:end
::

